From 7268842ef19037d264dacf615f7e52333073e403 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Thu, 24 Jan 2013 22:38:13 +0100
Subject: HTTP method verification has to be performed in the routes

--HG--
extra : source : 6e31e50cd77e51c6655c64962003580a0db78e81
---
 app/controllers/attachments_controller.rb      |    2 --
 app/controllers/auth_sources_controller.rb     |    4 ----
 app/controllers/boards_controller.rb           |    2 --
 app/controllers/comments_controller.rb         |    2 --
 app/controllers/enumerations_controller.rb     |    4 ----
 app/controllers/issue_categories_controller.rb |    2 --
 app/controllers/issue_statuses_controller.rb   |    3 ---
 app/controllers/issues_controller.rb           |    8 --------
 app/controllers/mail_handler_controller.rb     |    4 ----
 app/controllers/messages_controller.rb         |    3 ---
 app/controllers/my_controller.rb               |    3 ---
 app/controllers/projects_controller.rb         |    4 ----
 app/controllers/roles_controller.rb            |    3 ---
 app/controllers/timelog_controller.rb          |    3 ---
 app/controllers/trackers_controller.rb         |    2 --
 app/controllers/users_controller.rb            |    3 ---
 app/controllers/watchers_controller.rb         |    4 ----
 app/controllers/wiki_controller.rb             |    4 ----
 18 files changed, 0 insertions(+), 60 deletions(-)

diff --git a/app/controllers/attachments_controller.rb b/app/controllers/attachments_controller.rb
index 274e5bf..a7e7876 100644
--- a/app/controllers/attachments_controller.rb
+++ b/app/controllers/attachments_controller.rb
@@ -17,8 +17,6 @@ class AttachmentsController < ApplicationController
   before_filter :file_readable, :read_authorize, :except => :destroy
   before_filter :delete_authorize, :only => :destroy
 
-  verify :method => :post, :only => :destroy
-
   def show
     if @attachment.is_diff?
       @diff = File.new(@attachment.diskfile, "rb").read
diff --git a/app/controllers/auth_sources_controller.rb b/app/controllers/auth_sources_controller.rb
index 3c8a762..b98a4d3 100644
--- a/app/controllers/auth_sources_controller.rb
+++ b/app/controllers/auth_sources_controller.rb
@@ -17,10 +17,6 @@ class AuthSourcesController < ApplicationController
 
   before_filter :require_admin
 
-  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
-  verify :method => :post, :only => [ :destroy, :create, :update ],
-         :redirect_to => { :template => :index }
-
   def index
     @auth_source_pages, @auth_sources = paginate auth_source_class.name.tableize, :per_page => 10
     render "auth_sources/index"
diff --git a/app/controllers/boards_controller.rb b/app/controllers/boards_controller.rb
index 6714883..332e834 100644
--- a/app/controllers/boards_controller.rb
+++ b/app/controllers/boards_controller.rb
@@ -57,8 +57,6 @@ class BoardsController < ApplicationController
     end
   end
 
-  verify :method => :post, :only => [ :destroy ], :redirect_to => { :action => :index }
-
   def new
     @board = Board.new(params[:board])
     @board.project = @project
diff --git a/app/controllers/comments_controller.rb b/app/controllers/comments_controller.rb
index c921389..356fa55 100644
--- a/app/controllers/comments_controller.rb
+++ b/app/controllers/comments_controller.rb
@@ -19,7 +19,6 @@ class CommentsController < ApplicationController
   before_filter :find_project_from_association
   before_filter :authorize
 
-  verify :method => :post, :only => :create, :render => {:nothing => true, :status => :method_not_allowed }
   def create
     raise Unauthorized unless @news.commentable?
 
@@ -33,7 +32,6 @@ class CommentsController < ApplicationController
     redirect_to :controller => 'news', :action => 'show', :id => @news
   end
 
-  verify :method => :delete, :only => :destroy, :render => {:nothing => true, :status => :method_not_allowed }
   def destroy
     @news.comments.find(params[:comment_id]).destroy
     redirect_to :controller => 'news', :action => 'show', :id => @news
diff --git a/app/controllers/enumerations_controller.rb b/app/controllers/enumerations_controller.rb
index 5b4b7fa..0a8d8a5 100644
--- a/app/controllers/enumerations_controller.rb
+++ b/app/controllers/enumerations_controller.rb
@@ -24,10 +24,6 @@ class EnumerationsController < ApplicationController
     render :action => 'list'
   end
 
-  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
-  verify :method => :post, :only => [ :destroy, :create, :update ],
-         :redirect_to => { :action => :list }
-
   def list
   end
 
diff --git a/app/controllers/issue_categories_controller.rb b/app/controllers/issue_categories_controller.rb
index 108928a..e49e66b 100644
--- a/app/controllers/issue_categories_controller.rb
+++ b/app/controllers/issue_categories_controller.rb
@@ -20,8 +20,6 @@ class IssueCategoriesController < ApplicationController
   before_filter :find_project, :only => :new
   before_filter :authorize
 
-  verify :method => :post, :only => :destroy
-
   def new
     @category = @project.issue_categories.build
     @category.safe_attributes = params[:category]
diff --git a/app/controllers/issue_statuses_controller.rb b/app/controllers/issue_statuses_controller.rb
index c3765d8..e44bd8c 100644
--- a/app/controllers/issue_statuses_controller.rb
+++ b/app/controllers/issue_statuses_controller.rb
@@ -17,9 +17,6 @@ class IssueStatusesController < ApplicationController
 
   before_filter :require_admin
 
-  verify :method => :post, :only => [ :destroy, :create, :update, :move, :update_issue_done_ratio ],
-         :redirect_to => { :action => :index }
-
   def index
     @issue_status_pages, @issue_statuses = paginate :issue_statuses, :per_page => 25, :order => "position"
     render :action => "index", :layout => false if request.xhr?
diff --git a/app/controllers/issues_controller.rb b/app/controllers/issues_controller.rb
index 80d91e5..f71e453 100644
--- a/app/controllers/issues_controller.rb
+++ b/app/controllers/issues_controller.rb
@@ -40,14 +40,6 @@ class IssuesController < ApplicationController
   include IssuesHelper
   include Redmine::Export::PDF
 
-  verify :method => [:post, :delete],
-         :only => :destroy,
-         :render => { :nothing => true, :status => :method_not_allowed }
-
-  verify :method => :post, :only => :create, :render => {:nothing => true, :status => :method_not_allowed }
-  verify :method => :post, :only => :bulk_update, :render => {:nothing => true, :status => :method_not_allowed }
-  verify :method => :put, :only => :update, :render => {:nothing => true, :status => :method_not_allowed }
-
   def index
     retrieve_query
     sort_init(@query.sort_criteria.empty? ? [['id', 'desc']] : @query.sort_criteria)
diff --git a/app/controllers/mail_handler_controller.rb b/app/controllers/mail_handler_controller.rb
index ff7a32b..440f8aa 100644
--- a/app/controllers/mail_handler_controller.rb
+++ b/app/controllers/mail_handler_controller.rb
@@ -15,10 +15,6 @@
 class MailHandlerController < ActionController::Base
   before_filter :check_credential
 
-  verify :method => :post,
-         :only => :index,
-         :render => { :nothing => true, :status => 405 }
-
   # Submits an incoming email to MailHandler
   def index
     options = params.dup
diff --git a/app/controllers/messages_controller.rb b/app/controllers/messages_controller.rb
index 0d85e5a..bee7c2c 100644
--- a/app/controllers/messages_controller.rb
+++ b/app/controllers/messages_controller.rb
@@ -19,9 +19,6 @@ class MessagesController < ApplicationController
   before_filter :find_message, :except => [:new, :preview]
   before_filter :authorize, :except => [:preview, :edit, :destroy]
 
-  verify :method => :post, :only => [ :reply, :destroy ], :redirect_to => { :action => :show }
-  verify :xhr => true, :only => :quote
-
   include AttachmentsHelper
 
   REPLIES_PER_PAGE = 25 unless const_defined?(:REPLIES_PER_PAGE)
diff --git a/app/controllers/my_controller.rb b/app/controllers/my_controller.rb
index be6dd52..bb73669 100644
--- a/app/controllers/my_controller.rb
+++ b/app/controllers/my_controller.rb
@@ -29,9 +29,6 @@ class MyController < ApplicationController
                       'right' => ['issuesreportedbyme']
                    }.freeze
 
-  verify :xhr => true,
-         :only => [:add_block, :remove_block, :order_blocks]
-
   def index
     page
     render :action => 'page'
diff --git a/app/controllers/projects_controller.rb b/app/controllers/projects_controller.rb
index 91223ec..f80cf86 100644
--- a/app/controllers/projects_controller.rb
+++ b/app/controllers/projects_controller.rb
@@ -63,7 +63,6 @@ class ProjectsController < ApplicationController
     @project.safe_attributes = params[:project]
   end
 
-  verify :method => :post, :only => :create, :render => {:nothing => true, :status => :method_not_allowed }
   def create
     @issue_custom_fields = IssueCustomField.find(:all, :order => "#{CustomField.table_name}.position")
     @trackers = Tracker.all
@@ -157,8 +156,6 @@ class ProjectsController < ApplicationController
   def edit
   end
 
-  # TODO: convert to PUT only
-  verify :method => [:post, :put], :only => :update, :render => {:nothing => true, :status => :method_not_allowed }
   def update
     @project.safe_attributes = params[:project]
     if validate_parent_id && @project.save
@@ -181,7 +178,6 @@ class ProjectsController < ApplicationController
     end
   end
 
-  verify :method => :post, :only => :modules, :render => {:nothing => true, :status => :method_not_allowed }
   def modules
     @project.enabled_module_names = params[:enabled_module_names]
     flash[:notice] = l(:notice_successful_update)
diff --git a/app/controllers/roles_controller.rb b/app/controllers/roles_controller.rb
index 3777600..71fb404 100644
--- a/app/controllers/roles_controller.rb
+++ b/app/controllers/roles_controller.rb
@@ -17,9 +17,6 @@ class RolesController < ApplicationController
 
   before_filter :require_admin
 
-  verify :method => :post, :only => [ :destroy, :move ],
-         :redirect_to => { :action => :index }
-
   def index
     @role_pages, @roles = paginate :roles, :per_page => 25, :order => 'builtin, position'
     render :action => "index", :layout => false if request.xhr?
diff --git a/app/controllers/timelog_controller.rb b/app/controllers/timelog_controller.rb
index cea0aab..ef22efb 100644
--- a/app/controllers/timelog_controller.rb
+++ b/app/controllers/timelog_controller.rb
@@ -103,7 +103,6 @@ class TimelogController < ApplicationController
     render :action => 'edit'
   end
 
-  verify :method => :post, :only => :create, :render => {:nothing => true, :status => :method_not_allowed }
   def create
     @time_entry ||= TimeEntry.new(:project => @project, :issue => @issue, :user => User.current, :spent_on => User.current.today)
     @time_entry.safe_attributes = params[:time_entry]
@@ -132,7 +131,6 @@ class TimelogController < ApplicationController
     call_hook(:controller_timelog_edit_before_save, { :params => params, :time_entry => @time_entry })
   end
 
-  verify :method => :put, :only => :update, :render => {:nothing => true, :status => :method_not_allowed }
   def update
     @time_entry.safe_attributes = params[:time_entry]
 
@@ -154,7 +152,6 @@ class TimelogController < ApplicationController
     end
   end
 
-  verify :method => :delete, :only => :destroy, :render => {:nothing => true, :status => :method_not_allowed }
   def destroy
     if @time_entry.destroy && @time_entry.destroyed?
       respond_to do |format|
diff --git a/app/controllers/trackers_controller.rb b/app/controllers/trackers_controller.rb
index d20baa9..3098ee3 100644
--- a/app/controllers/trackers_controller.rb
+++ b/app/controllers/trackers_controller.rb
@@ -17,8 +17,6 @@ class TrackersController < ApplicationController
 
   before_filter :require_admin
 
-  verify :method => :post, :only => :destroy, :redirect_to => { :action => :index }
-
   def index
     @tracker_pages, @trackers = paginate :trackers, :per_page => 10, :order => 'position'
     render :action => "index", :layout => false if request.xhr?
diff --git a/app/controllers/users_controller.rb b/app/controllers/users_controller.rb
index c72e210..52bb2da 100644
--- a/app/controllers/users_controller.rb
+++ b/app/controllers/users_controller.rb
@@ -87,7 +87,6 @@ class UsersController < ApplicationController
     @auth_sources = AuthSource.find(:all)
   end
 
-  verify :method => :post, :only => :create, :render => {:nothing => true, :status => :method_not_allowed }
   def create
     @user = User.new(:language => Setting.default_language, :mail_notification => Setting.default_notification_option)
     @user.safe_attributes = params[:user]
@@ -132,7 +131,6 @@ class UsersController < ApplicationController
     @membership ||= Member.new
   end
 
-  verify :method => :put, :only => :update, :render => {:nothing => true, :status => :method_not_allowed }
   def update
     @user.admin = params[:user][:admin] if params[:user][:admin]
     @user.login = params[:user][:login] if params[:user][:login]
@@ -178,7 +176,6 @@ class UsersController < ApplicationController
     redirect_to :controller => 'users', :action => 'edit', :id => @user
   end
 
-  verify :method => :delete, :only => :destroy, :render => {:nothing => true, :status => :method_not_allowed }
   def destroy
     # Only allow to delete users with STATUS_REGISTERED for now
     # It is assumed that these users are not yet references in any way
diff --git a/app/controllers/watchers_controller.rb b/app/controllers/watchers_controller.rb
index c1837b5..8fbd9ae 100644
--- a/app/controllers/watchers_controller.rb
+++ b/app/controllers/watchers_controller.rb
@@ -18,10 +18,6 @@ class WatchersController < ApplicationController
   before_filter :authorize, :only => [:new, :destroy]
   before_filter :authorize_access_to_object, :only => [:new, :destroy]
 
-  verify :method => :post,
-         :only => [ :watch, :unwatch ],
-         :render => { :nothing => true, :status => :method_not_allowed }
-
   def watch
     if @watched.respond_to?(:visible?) && !@watched.visible?(User.current)
       render_403
diff --git a/app/controllers/wiki_controller.rb b/app/controllers/wiki_controller.rb
index 96f9c95..6c9ce75 100644
--- a/app/controllers/wiki_controller.rb
+++ b/app/controllers/wiki_controller.rb
@@ -33,8 +33,6 @@ class WikiController < ApplicationController
   before_filter :find_wiki, :authorize
   before_filter :find_existing_page, :only => [:rename, :protect, :history, :diff, :annotate, :add_attachment, :destroy]
 
-  verify :method => :post, :only => [:protect], :redirect_to => { :action => :show }
-
   include AttachmentsHelper
 
   # List of pages, sorted alphabetically and by parent (hierarchy)
@@ -96,7 +94,6 @@ class WikiController < ApplicationController
     @content.lock_version = @page.content.lock_version
   end
 
-  verify :method => :put, :only => :update, :render => {:nothing => true, :status => :method_not_allowed }
   # Creates a new page or updates an existing one
   def update
     @page = @wiki.find_or_new_page(params[:id])
@@ -176,7 +173,6 @@ class WikiController < ApplicationController
     @editable = editable?
   end
 
-  verify :method => :delete, :only => [:destroy], :redirect_to => { :action => :show }
   # Removes a wiki page and its history
   # Children can be either set as root pages, removed or reassigned to another parent page
   def destroy
-- 
1.7.1


